#
# spec file for package btrfs-soft-reboot-generator
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           btrfs-soft-reboot-generator
Version:        20240918.c86bd4f
Release:        1.2
Summary:        systemd generator to let services survive a soft-reboot
License:        Apache-2.0
URL:            https://github.com/thkukuk/survive-soft-reboot/
Source:         %{name}-%{version}.tar.xz
Source1:        LICENSE
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libeconf)
BuildRequires:  pkgconfig(mount)
Requires:       attr

%description
This package contains a systemd generator, which will, based on ini style config
files, create system unit snippets during boot. This snippets contain the systemd
unit config, so that this service will not be killed by a soft-reboot.

%prep
%setup -q

%build
cp -a %{SOURCE1} .
%meson
%meson_build

%install
%meson_install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -av examples/*.conf %{buildroot}%{_datadir}/%{name}/

%files
%license LICENSE
%doc examples
%dir %{_systemdgeneratordir}
%{_systemdgeneratordir}/btrfs-soft-reboot-generator
%dir %{_libexecdir}/btrfs-soft-reboot-generator
%{_libexecdir}/btrfs-soft-reboot-generator/set_service_attrs
%{_datadir}/%{name}

%changelog
* Wed Sep 18 2024 kukuk@suse.com
- Update to version 20240918.c86bd4f:
  * Re-Add PrivateDevices=no
  * Add hello-world container example
* Tue Sep 17 2024 kukuk@suse.com
- Update to version 20240917.ac44a3a:
  * Add attr requires to spec file
* Mon Sep 16 2024 kukuk@suse.com
- Update to version 20240916.03e22f0:
  * Don't modify PrivateDevices
* Mon Sep 16 2024 kukuk@suse.com
- Update to version 20240916.f6373f0:
  * Add support for podman quadlets
  * Add set_service_attrs script to spec file
* Mon Sep 16 2024 kukuk@suse.com
- Update to version 20240916.23a234d:
  * Add script to configure slice of container service
* Fri Sep 13 2024 kukuk@suse.com
- Update to version 20240913.7f9b809:
  * Use PrivateTmp=yes
  * Adjust paths
* Fri Sep  6 2024 kukuk@suse.com
- Update to version 20240904.7e0e431:
  * Fix path to journal socket
* Mon Sep  2 2024 kukuk@suse.com
- Update to version 20240902.61101d6:
  * Add example config for named (bind)
  * Disable always PrivateDevices
* Fri Aug 30 2024 kukuk@suse.com
- Update to version 20240830.7af3389:
  * Enhance error messages with current service
  * Add example nginx.conf
* Fri Aug 30 2024 kukuk@suse.com
- Update to version 20240830.cc405ec:
  * Install example config snippets
* Fri Aug 30 2024 kukuk@suse.com
- Update to version 20240830.27efc01:
  * Add example config for sec-counter-web
  * Some cleanup
  * Add example for rsyncd
* Mon Aug 26 2024 kukuk@suse.com
- Update to version 20240826.38d90bf:
  * Write keys not starting with "_" to snippet
  * Setup default directories/sockets
* Fri Aug 23 2024 kukuk@suse.com
- Update to version 20240823.afc6b53:
  * Example config for sec-counter.service
  * Don't abort if no config is found
* Thu Aug 22 2024 kukuk@suse.com
- Update to version 20240822.273aa9d:
  * Support _snapshot and _subvolid config
  * Fix subvolid handling
  * Add spec file for btrfs-soft-reboot-generator
  * Remove unused config.h
* Tue Aug 20 2024 kukuk@suse.com
- Update to version 20240820.73bab8a:
  * Add install_dir for generator
  * Import btrfs-soft-reboot-generator
